Skip to content
Proud to collaborate with Microsoft for Startups

docusign.power-forms.get-power-forms-list ​

This method returns a list of PowerForms that are available to the user.

Returns a list of PowerForms.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
countstringNo—The maximum number of results to return.
from_datestringNo—The start date for a date range. Note: If no value is provided, no date filtering is applied.
orderstringNo—The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order.
order_bystringNo—The file attribute to use to sort the results. Valid values are: - sender - auth - used - remaining - lastused - status - type - templatename - created
search_fieldsstringNo—A comma-separated list of additional properties to include in a search. - sender: Include sender name and email in the search. - recipients: Include recipient names and emails in the search. - envelope: Include envelope information in the search.
search_textstringNo—Use this parameter to search for specific text.
start_positionstringNo—The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.
to_datestringNo—The end date for a date range. Note: If no value is provided, this property defaults to the current date.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
countstringNo—The maximum number of results to return.
from_datestringNo—The start date for a date range. Note: If no value is provided, no date filtering is applied.
orderstringNo—The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order.
order_bystringNo—The file attribute to use to sort the results. Valid values are: - sender - auth - used - remaining - lastused - status - type - templatename - created
search_fieldsstringNo—A comma-separated list of additional properties to include in a search. - sender: Include sender name and email in the search. - recipients: Include recipient names and emails in the search. - envelope: Include envelope information in the search.
search_textstringNo—Use this parameter to search for specific text.
start_positionstringNo—The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.
to_datestringNo—The end date for a date range. Note: If no value is provided, this property defaults to the current date.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/powerforms
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/powerforms
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.power-forms.get-power-forms-list",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}